import configuration from './config.json';

class APIConfig {
    scheme: string;
    host: string;
    port: string;
    url: string;

    constructor(scheme: string, host: string, port: string) {
        this.scheme = scheme;
        this.host = host;
        this.port = port;
        this.url = `${scheme}://${host}:${port}`
    }
}

export default function Config() {
    const scheme = configuration.api.scheme;
    const host = configuration.api.host;
    const port = configuration.api.port;

    const apiConfig = new APIConfig(scheme, host, port);
    return apiConfig
}
